/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package reconhecimento;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.PreparedStatement;


/**
 *
 * @author Leonel Ceolin Farias
 */
public class EnviarBD {

    public static void send(String nome) throws SQLException, IOException {
        Connection connection = null;
        PreparedStatement statement = null;
        FileInputStream imageInputStream = null;
       
        try {
            // retrieve connection  
            connection = DriverManager.getConnection("jdbc:postgresql://localhost:5432/imagedb", "leonel", "leonel");
            // get statement object  
            statement = connection.prepareStatement("insert into test(imagem, nomeimagem) values(?, ?)");
            // create an input stream pointing to the image file to store
                imageInputStream = new FileInputStream(new File("src\\desconhecidos\\" + nome ));
            // inform the statement that first parameter in the query is of binary type
            statement.setBinaryStream(1, imageInputStream); //dps do "statement" primeiro é o tipo da variável
            //que será setada .string .setbinary // 1 valor referente a imagem
            statement.setString(2, nome);//referente ao nome da imagem no banco para buscar e ser retornada posteriormente
            // execute query
            statement.execute();
        } catch (SQLException sqe) {
            throw sqe;
        } finally {
            // close resources 
            if (connection != null) {
                connection.close();
            }
            if (imageInputStream != null) {
                imageInputStream.close();
            }
        }
    }
    
    public static void sendLog(String nome) throws SQLException, IOException {
        Connection connection = null;
        PreparedStatement statement = null;
        FileInputStream imageInputStream = null;
       
        try {
            // retrieve connection  
            connection = DriverManager.getConnection("jdbc:postgresql://localhost:5432/imagedb", "leonel", "leonel");
            // get statement object  
            statement = connection.prepareStatement("insert into rel(log) values(?)");            
            statement.setString(1, nome);//referente ao log
            // execute query
            statement.execute();
        } catch (SQLException sqe) {
            throw sqe;
        } finally {
            // close resources 
            if (connection != null) {
                connection.close();
            }
            if (imageInputStream != null) {
                imageInputStream.close();
            }
        }
    }
}
